<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();

require_once("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();


if(isset($_REQUEST["rfc"])){
	$rfc=$_REQUEST["rfc"];
}else{
	$rfc="";
}
$usr="";
			
if(isset($_POST["usr"]))
{
			$usr=$_REQUEST["usr"];
}

$ref_rfc_receptor=$_REQUEST["ref_rfc_receptor"];

/*if(count($_REQUEST["ref_rfc_receptor"]) == 0){
	?><script>alert('Debe de seleccionar por lo menos un RFC Receptor.');</script><?exit;
}

for($i=0;$i < count($_REQUEST["ref_rfc_receptor"]); $i++){
		if(trim($ref_rfc_receptor) == "")
			$ref_rfc_receptor.= $_REQUEST["ref_rfc_receptor"][$i];
		else
			$ref_rfc_receptor.= ",".$_REQUEST["ref_rfc_receptor"][$i];
}*/
			
$query="select username,activado from usuariosweb where username='$usr'";
$rquery = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0)
{
		$tmpActivado=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
		if($tmpActivado['activado'] >= "1"){
			$query="update usuariosweb set activado='2',ref_rfc_receptor='$ref_rfc_receptor' where username='$usr'";
			mysqli_query($conexion->CONEXION,$query);
			$query="select rfc_cliente from clienteweb where rfc_cliente='$rfc'";
			$rquery=mysqli_query($conexion->CONEXION,$query);
			
			$rProv = mysqli_query($conexion->CONEXION,"select * from proveedores where rfc='$rfc' and rfc_receptor='$ref_rfc_receptor' LIMIT 1");
		
			if(mysqli_num_rows($rProv) <= 0){
				mysqli_query($conexion->CONEXION,"insert into proveedores set rfc='$rfc', rfc_receptor='$ref_rfc_receptor'");
			}
			
		if(mysqli_num_rows($rquery) == 0){
			$query="Insert into clienteweb (rfc_cliente,nombre_cliente,esCliente,esProv) values('$rfc','".$_REQUEST['razonSocial']."','NO','SI')";
			$rquery=mysqli_query($conexion->CONEXION,$query);
		}
			$error="Ocurrio un error al activar el usuario";
			$mensaje="Usuario activado correctamente";
		}else{
				echo "El usuario no a confirmado su correo"; return false;
		}
}else{
		$error="El usuario no se encuentra dado de alta";
}

if(mysqli_errno($conexion->CONEXION) != 0)
	echo $error;
else
	include("enviaCorreoUsuarioActivado.php");
	echo "true: ".$mensaje;
?>